Loading...
Searching...
No Matches
restinio::no_extra_data_factory_t Struct Reference

The default extra-data-factory to be used in server's traits if a user doesn't specify own one. More...

`#include <request_handler.hpp>`

## Classes

struct | data_t
| A type of extra-data to be incorporated into a request object by the default. More...

## Public Member Functions

void | make_within (extra_data_buffer_t< data_t > buffer) noexcept

## Detailed Description

The default extra-data-factory to be used in server's traits if a user doesn't specify own one.

This factory doesn't nothing. And holds an empty struct as `data_t` member.

Since
  v.0.6.13

Definition at line 76 of file request_handler.hpp.

## Member Function Documentation

## make_within()

void restinio::no_extra_data_factory_t::make_within | ( | extra_data_buffer_t< data_t > | buffer | ) |

inline noexcept

Definition at line 85 of file request_handler.hpp.

The documentation for this struct was generated from the following file:

- restinio/request_handler.hpp